package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 教师风采视频表
 */
@TableName("teacher_style_video")
@ApiModel(value = "TeacherStyleVideo对象", description = "教师风采视频表")
public class TeacherStyleVideo implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("老师编号 ")
    @TableField(value = "user_id_")
    private Long userId;
    @ApiModelProperty("视频封面")
    @TableField(value = "cover_")
    private String cover;
    @ApiModelProperty("视频地址 ")
    @TableField(value = "video_url_")
    private String videoUrl;
    @ApiModelProperty("视频说明 ")
    @TableField(value = "describe_")
    private String describe;
    @ApiModelProperty("视频浏览量 ")
    @TableField(value = "browse_")
    private Integer browse;
    @ApiModelProperty("是否审核时可见 （0:否  1：是） ")
    @TableField(value = "audit_version_")
    private YesOrNoEnum auditVersion;
    @ApiModelProperty("审核状态 DOING、审核中 PASS、通过 UNPASS、不通过 ")
    @TableField(value = "auth_status_")
    private AuthStatusEnum authStatus;
    @ApiModelProperty("审核人 ")
    @TableField(value = "verify_user_id_")
    private Long verifyUserId;
    @ApiModelProperty("审核理由 ")
    @TableField(value = "reason_")
    private String reason;
    @ApiModelProperty("入驻审核视频 0 否 1 是 ")
    @TableField(value = "entry_flag_")
    private YesOrNoEnum entryFlag;
    @TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    @TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
    @ApiModelProperty(value = "假删除 false : 未删除 true：已删除",hidden = true)
    @TableField(value = "del_flag_")
    private Boolean delFlag = false;

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public Integer getBrowse() {
        return browse;
    }

    public void setBrowse(Integer browse) {
        this.browse = browse;
    }

    public YesOrNoEnum getAuditVersion() {
        return auditVersion;
    }

    public void setAuditVersion(YesOrNoEnum auditVersion) {
        this.auditVersion = auditVersion;
    }

    public AuthStatusEnum getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(AuthStatusEnum authStatus) {
        this.authStatus = authStatus;
    }

    public Long getVerifyUserId() {
        return verifyUserId;
    }

    public void setVerifyUserId(Long verifyUserId) {
        this.verifyUserId = verifyUserId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public YesOrNoEnum getEntryFlag() {
        return entryFlag;
    }

    public void setEntryFlag(YesOrNoEnum entryFlag) {
        this.entryFlag = entryFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Boolean getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }
}